// TimeJump.cpp : C vWFNg t@CłB

#include "stdafx.h"
#include <Windows.h>
#include "RNP2to191.h"

using namespace System;
using namespace rnp2to191;

int main(array<System::String ^> ^args)
{
	RNP2to191 rn;
	int t0 = ::GetTickCount();
	for (int i = 0; i < 100000000; i++){
		rn.uni();
	}
	int t1 = ::GetTickCount();
	Console::WriteLine(((t1 - t0)/1000).ToString() + "s elapsed.");
	double vt = ((t1 - t0) * Math::Pow(2.0, 100) / 100000000.0) / double(1000.0 * 60.0 * 60.0 * 24.0);
	Console::WriteLine("It will take about " + vt.ToString("E1") + "days to call uni() 2**100 times.");
	t0 = ::GetTickCount();
	rn.Jump2toj(100);
	t1 = ::GetTickCount();
	Console::WriteLine("It took " + (t1 - t0).ToString() +"msec to execute Jump2toj(100).");
	Console::WriteLine();
	Console::WriteLine("Press Enter-key.");
	Console::ReadLine();
    return 0;
}
